com.jscape.inet.http

## Class HttpProgressEvent

- java.lang.Object
- - java.util.EventObject
  - - com.jscape.inet.http.HttpProgressEvent

- All Implemented Interfaces:
    java.io.Serializable

      public class HttpProgressEvent
      extends java.util.EventObject

  Fired on significant progress in upload and download operations in Http class.
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `MODE_DOWNLOAD` Download mode
    `static int` | `MODE_UPLOAD` Upload mode

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `HttpProgressEvent(java.lang.Object source, java.lang.String url, long bytes, int mode)` Constructs a new `HttpProgressEvent` .

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `long` | `getBytes()` Get the number of bytes transferred so far.
    `int` | `getMode()` Gets transfer mode of event.
    `java.lang.String` | `getURL()` Gets the String representation of the URL this event is associated with.

    - ### Methods inherited from class java.util.EventObject

      `getSource, toString`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### MODE_DOWNLOAD

          public static final int MODE_DOWNLOAD

      Download mode
      See Also:
        Constant Field Values

    - #### MODE_UPLOAD

          public static final int MODE_UPLOAD

      Upload mode
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### HttpProgressEvent

          public HttpProgressEvent(java.lang.Object source,
                                   java.lang.String url,
                                   long bytes,
                                   int mode)

      Constructs a new `HttpProgressEvent` .
      Parameters:
        `source` - the source of this event
        `url` - String representation of the `URL` associated with this event
        `bytes` - The number of bytes transferred so far.
        `mode` - the transfer mode
      See Also:
        `MODE_UPLOAD`, `MODE_DOWNLOAD`

  - ### Method Detail

    - #### getURL

          public java.lang.String getURL()

      Gets the String representation of the URL this event is associated with.
      Returns:
        a String representation of the `URL`

    - #### getBytes

          public long getBytes()

      Get the number of bytes transferred so far.
      Returns:
        the number of bytes transferred

    - #### getMode

          public int getMode()

      Gets transfer mode of event.
      Returns:
        upload or download mode
      See Also:
        `MODE_UPLOAD`, `MODE_DOWNLOAD`

Copyright © JSCAPE LLC. 1999-2021. All Rights Reserved